summaryrefslogtreecommitdiffstats
path: root/development/phpDocumentor/phpDocumentor.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/phpDocumentor/phpDocumentor.SlackBuild')
-rw-r--r--development/phpDocumentor/phpDocumentor.SlackBuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/development/phpDocumentor/phpDocumentor.SlackBuild b/development/phpDocumentor/phpDocumentor.SlackBuild
new file mode 100644
index 0000000000..f986d63113
--- /dev/null
+++ b/development/phpDocumentor/phpDocumentor.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware Package Build Script for phpDocumentor
+# Home Page http://www.phpdoc.org/
+
+PRGNAM=phpDocumentor
+VERSION=${VERSION:-1.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch # hardcode ARCH
+
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+SRCNAM=PhpDocumentor-${VERSION}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tgz
+mv $SRCNAM $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 -o -perm 755 \) \
+ -exec chmod 750 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 -o -perm 644 \) \
+ -exec chmod 640 {} \;
+
+mkdir -p $PKG/$DOCROOT
+cp -a $TMP/$PRGNAM-$VERSION $PKG/$DOCROOT/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Documentation* INSTALL LICENSE README* ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Change ownership and perms and create a link.
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT/$PRGNAM
+chmod 0750 $PKG/$DOCROOT/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}